## netpbm-free 10.97.00

=== debian/changelog ===
netpbm-free (2:10.97.00-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix Uploader address

  [ Mathieu Malaterre ]
  * Team upload.
  * d/patch: Remove -DNDEBUG during compilation
  * d/rules: Discard test suite result for now

 -- Mathieu Malaterre <malat@debian.org>  Tue, 29 Mar 2022 14:11:39 +0200

netpbm-free (2:10.97.00-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
     - Closes: #977007, #386388, #847241
    CVE-2017-2579, CVE-2017-2580 and CVE-2017-2581 before 10.61 thus
     - Closes: #854978
  * debian/watch: Use svn mode
  * Move package to Debian Phototools team
    Closes: #813227, #864796
  * Drop debian/gbp.conf by using branch names per team policy
  * Use Python3 in manpage creation
    Closes: #968024
  * Provide userguide in debian/userguide since it is not part of the
    upstream source tarball obtained via svn mode
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix day-of-week for changelog entry 1:19940301.2-4.
  * Use d-shlibs to install library and libdevel package
  * DEP3
  * Add Build-Depends: ghostscrip to pass one test
  * Disable two remaining tests that are failing
  * Remove manweb completely since test had shown this does not work at all
  * Try hardening options
  * Enhance long descriptions
    Closes: #209957
  * ppmqvga does not belong to the source any more
    Closes: #256402, #669365
  * Previous upload to experimental switched to 3.0 source format
    Closes: #1007030
  * DEP5

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 10:40:03 +0100
