=== debian/control ===
Source: netpbm-free
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Barth <aba@ayous.org>,
           Steve McIntyre <93sam@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               d-shlibs,
               libjpeg-dev,
               libpng-dev,
               libtiff5-dev,
               libx11-dev,
               libxml2-dev,
               zlib1g-dev,
               flex,
               pkg-config,
               python3,
               ghostscript <!nocheck>
Vcs-Git: https://salsa.debian.org/debian-phototools-team/netpbm.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/netpbm
Homepage: http://netpbm.sourceforge.net/
Rules-Requires-Root: no

Package: netpbm
Architecture: any
Multi-Arch: foreign
Depends: libnetpbm11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: ghostscript
Provides: pnmtopng, pbmwbmp
Description: Graphics conversion tools between image formats
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.

Package: libnetpbm11
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Graphics conversion tools shared libraries
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.
 .
 This package contains the shared libraries used by netpbm.

Package: libnetpbm11-dev
Section: libdevel
Architecture: any
Depends: libnetpbm11 (= ${binary:Version}), ${misc:Depends}
Conflicts: netpbm-dev,libnetpbm9-dev,libnetpbm-dev
Replaces: netpbm-dev
Provides: netpbm-dev,libnetpbm-dev
Description: Graphics conversion tools development libraries and header files
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.
 .
 This development package contains the library and header
 files for the pbm, pgm, pnm, and ppm graphics formats.
