=== debian/changelog ===
netpbm-free (2:11.01.00-2) unstable; urgency=medium

  * Team upload.
  * Do not embed username in /usr/lib/*/libnetpbm.*
    Closes: #1020658
  * Do not provide libnetpbm9-dev

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 16:30:00 +0100

netpbm-free (2:11.01.00-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * d/rules: dh_auto_test checks DEB_BUILD_OPTIONS
  * Add missing License fields
  * Lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 15:17:13 +0100

netpbm-free (2:10.98.00-1) unstable; urgency=medium

  * Team upload.
  * Remove outdaded debian/README* files
  * Unversioned development package (Provides: libnetpbm9-dev, libnetpbm10-dev)
    Closes: #1007984
  * Close other bugs which are not valid in this version any more
    Closes: #914850, #360255, #733464, #789874
  * Review d/copyright
  * Lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Thu, 26 May 2022 07:29:29 +0200
