=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Barth <aba@ayous.org>,
            Steve McIntyre <93sam@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                libjpeg-dev,
                libpng-dev,
-               libtiff5-dev,
+               libtiff-dev (>= 4.0.10-1),
                libx11-dev,
                libxml2-dev,
                zlib1g-dev,
@@ -19,7 +19,7 @@
                ghostscript <!nocheck>
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/netpbm.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/netpbm
-Homepage: http://netpbm.sourceforge.net/
+Homepage: https://netpbm.sourceforge.net/
 Rules-Requires-Root: no
 
 Package: netpbm
@@ -38,6 +38,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
+Provides: libnetpbm10-dev
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Graphics conversion tools shared libraries
  Netpbm is a toolkit for manipulation of graphic images, including
@@ -47,13 +48,13 @@
  .
  This package contains the shared libraries used by netpbm.
 
-Package: libnetpbm11-dev
+Package: libnetpbm-dev
 Section: libdevel
 Architecture: any
 Depends: libnetpbm11 (= ${binary:Version}), ${misc:Depends}
-Conflicts: netpbm-dev,libnetpbm9-dev,libnetpbm-dev
-Replaces: netpbm-dev
-Provides: netpbm-dev,libnetpbm-dev
+Conflicts: netpbm-dev,libnetpbm9-dev,libnetpbm11-dev
+Replaces: libnetpbm11-dev
+Provides: netpbm-dev,libnetpbm11-dev
 Description: Graphics conversion tools development libraries and header files
  Netpbm is a toolkit for manipulation of graphic images, including
  conversion of images between a variety of different formats. There
