=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,7 @@
 	dh_install
 	d-shlibmove --commit \
 		    --multiarch \
+		    --devunversioned \
 		    --exclude-la \
 		    --movedev debian/tmp/usr/include usr \
 		    --movedev debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -69,4 +70,6 @@
 
 # See bug #1007234
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) check-tree RESULTDIR=$(CURDIR)/debian/netpbm-test || true
+endif
