=== debian/watch ===
version=4

opts="mode=svn,pgpmode=none" \
http://netpbm.svn.code.sourceforge.net/p/netpbm/code/release_number/ \
  (\d[\d.]+)/

# https://sf.net/netpbm/netpbm-?([\w+\d+\.]+|\d+)\.tgz
