=== debian/changelog ===
netpbm-free (2:11.05.02-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:09:47 +0000

netpbm-free (2:11.05.02-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063141

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:33:03 +0000

netpbm-free (2:11.05.02-1) unstable; urgency=medium

  * 21-clarify-tifftopnm-doc.diff Closes: #496156 (The 2nd issue described
    there, unspecified behavior on multiimage tiffs has already been fixed.)
  * New upstream version, fixes ppmtowinicon crash. Closes: #1061667

 -- Andreas Metzler <ametzler@debian.org>  Mon, 29 Jan 2024 18:10:45 +0100

netpbm-free (2:11.05.01-3) unstable; urgency=low

  * Remove Andreas Barth from uploader's list. - Thank you!
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jan 2024 06:51:49 +0100

netpbm-free (2:11.05.01-2) experimental; urgency=medium

  * Team upload.
  * Rename patches for correct sorting by filename.
  * 20-Fix-typo-in-ppm_readppm-prototype.patch: Fix documentation of
    ppm_readppm() function prototype. Closes: #576008
  * Add myself to uploaders.
  * Run wrap-and-sort -ast.
  * Add lintian override for spelling-error-in-binary Optio.
  * [lintian] Drop debian-revision of b-d on libtiff-dev.
  * Build with -DUNDEBUG.
  * Use /usr/bin/install instead of buildtools/install.sh and do not strip
    binaries at install time to get useful netpbm-dbgsym package.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Jan 2024 15:26:08 +0100

netpbm-free (2:11.05.01-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
    + Unfuzz netpbm-security-code.patch.
  * Add symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Dec 2023 15:10:22 +0100

netpbm-free (2:11.04.05-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Dec 2023 13:27:17 +0100

netpbm-free (2:11.04.05-1) experimental; urgency=low

  * Team upload.
  * For better stability switch to packaging
    https://svn.code.sf.net/p/netpbm/code/advanced/ instead of
    https://svn.code.sf.net/p/netpbm/code/release_number/. The downside is
    that uscan cannot get the version number of these minor releases (Only
    parseable from filename contents but not part of the path.
    Add debian/updatewatchfile script to get this info and hardcode the
    version in debian/watch.
  * New upstream version.
    + Drop netpbm-ppmfadeusage.patch, fix_test_shebang.diff,
      01-Add-apos-translation.patch and
      02-Include-LDFLAGS-in-link-of-shared-library.patch, superseded/applied
      upstream.
    + Drop buildtoolsstamp-date-remove-compiled_by.patch, export COMPILED_BY
      in debian/rules instead.
    + doc/Netpbm.programming dropped upstream, stop trying to install it.
  * Upload to experimental.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Dec 2023 11:52:58 +0100

netpbm-free (2:11.03.06-1) unstable; urgency=low

  * New upstream minor release.
    + Unfuzz patches.
    + Ship userguide as separate tarball (component) instead of tarball
      in debian subdirectory. Update watch file (Thanks for the help, Hugh
      McMaster!), switch to https there and update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 15 Oct 2023 13:59:54 +0200

netpbm-free (2:11.03.00-3) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Sep 2023 11:22:06 +0200

netpbm-free (2:11.03.00-2) experimental; urgency=medium

  * Replace local patches with changes committed to upstream SVN trunk:
    man_apostr.diff --> 01-Add-apos-translation.patch
    respect_LDFLAGS.diff --> 02-Include-LDFLAGS-in-link-of-shared-library.patch
  * netpbm-ppmfadeusage.patch updated/replaced with patch mirroring upstream
    SVN head behavior.
  * Add 03_stdin-ppm3.test.result.diff to let stdin-ppm3.test succeed with
    picttoppm removal, and check whether testsuite succeeds now.
  * Drop netpbm-CVE-2017-2587.patch. It probably was only necessary in the
    forked version. Doublechecked with CVE reproducer
    https://bugzilla.suse.com/show_bug.cgi?id=1024294 and in mail with
    upstream maintainer.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 20 Sep 2023 13:36:23 +0200

netpbm-free (2:11.03.00-1) experimental; urgency=low

  * Team upload.
  * Ship library documentation. (Thanks, Torrekie for report and diagnosis!)
    Closes: #1037069
  * Fix binary build after successful build.  Closes: #1049800
  * respect_LDFLAGS.diff: Use Debian (hardened) LDFLAGS for building shared
    lib. (lintian: hardening-no-bindnow)
  * New upstream version.
    + Unfuzz netpbm-security-code.patch.
  * Update debian/userguide/userguide.tar.xz from SVN.
    + man_apostr.diff: Handle &apos; in html to man conversion.
  * fix_test_shebang.diff: Fix typo in shebang line.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 17 Aug 2023 13:24:51 +0200
