=== debian/rules ===
--- 
+++ 
@@ -4,20 +4,23 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_CPPFLAGS_MAINT_APPEND = -DUNDEBUG
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
+export COMPILED_BY=Debian
 
 include ./version.mk
 MAJOR=$(NETPBM_MAJOR_RELEASE)
 MINOR=$(NETPBM_MINOR_RELEASE)
 POINT=$(NETPBM_POINT_RELEASE)
 
-#https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1007234#3
-#export DEB_CFLAGS_MAINT_APPEND = -fsanitize=undefined -fno-sanitize-recover
-#export DEB_LDFLAGS_MAINT_APPEND = -fsanitize=undefined
+include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@ --no-parallel
 
 override_dh_auto_configure:
+	if [ `printf '%02d.%02d.%02d' $(NETPBM_MAJOR_RELEASE) $(NETPBM_MINOR_RELEASE) $(NETPBM_POINT_RELEASE)` != $(DEB_VERSION_UPSTREAM) ] ; then \
+		echo debian infrastructure for version $(DEB_VERSION_UPSTREAM) used with upstream version $(NETPBM_MAJOR_RELEASE).$(NETPBM_MINOR_RELEASE).$(NETPBM_POINT_RELEASE) ; exit 1 ; fi
 	cp config.mk.in config.mk
 	cat debian/config.mk.debian >> config.mk
 	echo "CFLAGS = `dpkg-buildflags --get CFLAGS`" >> config.mk
@@ -29,7 +32,6 @@
 	dh_auto_build
 # build the manpages
 	mkdir netpbmdoc
-	tar xaf debian/userguide/userguide.tar.xz
 	cd netpbmdoc; \
 		$(MAKE) USERGUIDE=../userguide/ -f ../buildtools/manpage.mk manpages
 	# Fix manual section
@@ -38,7 +40,7 @@
 override_dh_auto_clean:
 	[ ! -f config.mk ] || $(MAKE) distclean
 	rm -rf debian/netpbm-test debian/netpbm-test.bak
-	rm -rf netpbmdoc userguide
+	rm -rf netpbmdoc
 
 override_dh_auto_install:
 	mkdir -p debian/tmp/
@@ -56,6 +58,7 @@
 override_dh_install:
 	dh_install
 	d-shlibmove --commit \
+		    --t64 \
 		    --multiarch \
 		    --devunversioned \
 		    --exclude-la \
@@ -65,11 +68,12 @@
 	find debian -name "lib*.la" -delete
 	rm -rf debian/tmp/usr/sharedlink/libnetpbm
 	rm -rf debian/tmp/usr/lib/libnetpbm.so*
+
+execute_after_dh_installman:
 	# tool manweb does not work due to missing /etc/manweb.conf
-	find . -name "manweb*" -delete
+	find debian -name "manweb*" -delete
 
-# See bug #1007234
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) check-tree RESULTDIR=$(CURDIR)/debian/netpbm-test || true
+	$(MAKE) check-tree RESULTDIR=$(CURDIR)/debian/netpbm-test
 endif
