## netpbm-free 11.06.01

=== debian/changelog ===
netpbm-free (2:11.06.01-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 05 May 2024 17:58:05 +0200

netpbm-free (2:11.06.01-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Apr 2024 13:42:38 +0200

netpbm-free (2:11.06.00-1) experimental; urgency=medium

  * New upstream version, unfuzz patches, update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 01 Apr 2024 11:35:30 +0200

netpbm-free (2:11.05.03-1) unstable; urgency=medium

  * New upstream version.
  * Stop using d-shlibs to be able to use Breaks instead of Conflicts for t64
    transition.
  * Provide libnetpbm10-dev by dev-package instead of runtime library package.
  * Run wrap-and-sort -ast.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Mar 2024 11:04:02 +0100
