=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: netpbm-free
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
  Steve McIntyre <93sam@debian.org>,
 Standards-Version: 4.6.2
-Build-Depends: dpkg-dev (>= 1.22.5),
- d-shlibs (>= 0.106),
+Build-Depends:
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  flex,
  ghostscript <!nocheck>,
  libjpeg-dev,
@@ -45,13 +44,15 @@
  more than 80 graphics formats.
 
 Package: libnetpbm11t64
-Replaces: libnetpbm11
-Conflicts: libnetpbm11 (<< ${source:Version})
+Replaces:
+ libnetpbm11,
+Breaks:
+ libnetpbm11 (<< ${source:Version}),
 Section: libs
 Architecture: any
 Multi-Arch: same
-Provides: ${t64:Provides},
- libnetpbm10-dev,
+Provides:
+ ${t64:Provides},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -70,6 +71,7 @@
  libnetpbm11t64 (= ${binary:Version}),
  ${misc:Depends},
 Conflicts:
+ libnetpbm10-dev,
  libnetpbm11-dev,
  libnetpbm9-dev,
  netpbm-dev,
