=== debian/rules ===
--- 
+++ 
@@ -54,20 +54,13 @@
 		-e 's|@LINKDIR@|/usr/lib/$(DEB_HOST_MULTIARCH)|' \
 		-e 's|@VERSION@|Netpbm $(MAJOR).$(MINOR).$(POINT)|' \
 		debian/tmp/usr/pkgconfig_template > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/netpbm.pc
-
-override_dh_install:
-	dh_install
-	d-shlibmove --commit \
-		    --t64 \
-		    --multiarch \
-		    --devunversioned \
-		    --exclude-la \
-		    --movedev debian/tmp/usr/include usr \
-		    --movedev debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig usr/lib/$(DEB_HOST_MULTIARCH) \
-		    lib/*.so
+	mv debian/tmp/usr/lib/libnetpbm.so* \
+		debian/tmp/usr/staticlink/libnetpbm.a \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
+	ln -s libnetpbm.so.$(MAJOR) \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnetpbm.so
 	find debian -name "lib*.la" -delete
-	rm -rf debian/tmp/usr/sharedlink/libnetpbm
-	rm -rf debian/tmp/usr/lib/libnetpbm.so*
+	rm -rf debian/tmp/usr/sharedlink
 
 execute_after_dh_installman:
 	# tool manweb does not work due to missing /etc/manweb.conf
