## netpbm-free 11.07.00

=== debian/changelog ===
netpbm-free (2:11.07.00-2) unstable; urgency=medium

  * Upload to unstable.
  * Use blhc: ignore-line-regexp to ignore build utilities using
    *_FOR_BUILD_*FLAGS.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 16 Jul 2024 13:50:39 +0200

netpbm-free (2:11.07.00-1) experimental; urgency=low

  * New upstream version.
    + Add new symbols to symbol file.
  * 24-unused-prototype.diff: Delete unused function prototype for
    ppm_readcolordict2().

 -- Andreas Metzler <ametzler@debian.org>  Sun, 30 Jun 2024 07:49:53 +0200
