=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
  Steve McIntyre <93sam@debian.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  dpkg-dev (>= 1.22.5),
