## netpbm-free 11.08.01

=== debian/changelog ===
netpbm-free (2:11.08.01-1) unstable; urgency=low

  * b-d on pkgconf instead of pkg-config.
  * New upstream version.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Oct 2024 13:05:10 +0200

netpbm-free (2:11.08.00-1) experimental; urgency=medium

  * New upstream version.
    + Drop 24-unused-prototype.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Oct 2024 11:47:11 +0200

netpbm-free (2:11.07.01-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 Sep 2024 15:11:48 +0200
