## netpbm-free 11.08.02

=== debian/changelog ===
netpbm-free (2:11.08.02-1) unstable; urgency=medium

  * New upstream version.
    + Drop 20-Fix-typo-in-ppm_readppm-prototype.patch and
      21-clarify-tifftopnm-doc.diff.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 05 Dec 2024 07:45:50 +0100
